Package org.apache.felix.log

## Class ConfigurationListenerImpl

- java.lang.Object
- - org.apache.felix.log.ConfigurationListenerImpl

    public class ConfigurationListenerImpl
    extends Object

### Constructor Summary

Constructors
`ConfigurationListenerImpl​(org.osgi.framework.BundleContext context, org.apache.felix.log.Log log, LoggerAdminImpl loggerAdmin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationListenerImpl

    public ConfigurationListenerImpl​(org.osgi.framework.BundleContext context,
                                     org.apache.felix.log.Log log,
                                     LoggerAdminImpl loggerAdmin)
                              throws Exception

Throws:
  `Exception`

### Method Detail

#### close

    public void close()